Generate ERN for a Product
curl --request POST \
--url https://api.royalti.io/ddex/ern/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {
"messageControlType": "LiveMessage",
"includeDeals": true,
"includeMEADHooks": true,
"autoDeliver": false,
"priority": "normal",
"customSettings": {}
}
}
'import requests
url = "https://api.royalti.io/ddex/ern/generate"
payload = {
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {
"messageControlType": "LiveMessage",
"includeDeals": True,
"includeMEADHooks": True,
"autoDeliver": False,
"priority": "normal",
"customSettings": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
providerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: {
messageControlType: 'LiveMessage',
includeDeals: true,
includeMEADHooks: true,
autoDeliver: false,
priority: 'normal',
customSettings: {}
}
})
};
fetch('https://api.royalti.io/ddex/ern/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflowId": "<string>",
"status": "<string>",
"estimatedCompletion": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "Invalid request parameters"
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Ddex
Generate ERN for a Product
Starts an ERN generation flow for a single product and provider.
POST
/
ddex
/
ern
/
generate
Generate ERN for a Product
Code Examples
const response = await fetch('https://api.royalti.io/ddex/ern/generate', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
"productId": "sample-productId",
"providerId": "sample-providerId",
"options": {
"messageControlType": "sample-messageControlType",
"includeDeals": true,
"includeMEADHooks": true,
"autoDeliver": true,
"priority": "sample-priority",
"customSettings": {}
}
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/ddex/ern/generate',
json={"productId":"sample-productId","providerId":"sample-providerId","options":{"messageControlType":"sample-messageControlType","includeDeals":true,"includeMEADHooks":true,"autoDeliver":true,"priority":"sample-priority","customSettings":{}}}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/ddex/ern/generate \
-H "Content-Type: application/json" \
-d '{"productId":"sample-productId","providerId":"sample-providerId","options":{"messageControlType":"sample-messageControlType","includeDeals":true,"includeMEADHooks":true,"autoDeliver":true,"priority":"sample-priority","customSettings":{}}}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I